Skip to main content
POST
/
api
/
v1
/
tests
/
yaml
/
validate-yaml
Validate Yaml
curl --request POST \
  --url https://backend.revyl.ai/api/v1/tests/yaml/validate-yaml \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "yaml_content": "<string>",
  "validation_type": "full_test",
  "platform": "<string>"
}
'
{
  "is_valid": true,
  "validation_type": "full_test",
  "errors": 123,
  "warnings": 123,
  "messages": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for YAML validation

yaml_content
string
required

YAML content to validate

validation_type
enum<string>
default:full_test

Type of validation

Available options:
full_test,
blocks_only
platform
string | null

Target platform for validation

Response

Successful Response

Response model for YAML validation

is_valid
boolean
required

Whether the YAML is valid

validation_type
enum<string>
required

Type of validation performed

Available options:
full_test,
blocks_only
errors
integer
required

Number of errors found

warnings
integer
required

Number of warnings found

messages
Messages · object[]
required

Validation messages